Package com.independentsoft.office.word

# Class TextFrame

java.lang.Object
com.independentsoft.office.word.TextFrame

public class TextFrame extends Object
The Class TextFrame.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextFrame()`
  Instantiates a new text frame.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TextFrame`
  `clone()`
  `int`
  `getAbsoluteHorizontalPosition()`
  Gets the absolute horizontal position.
  `int`
  `getAbsoluteVerticalPosition()`
  Gets the absolute vertical position.
  `ExtendedBoolean`
  `getAnchorLock()`
  Gets the anchor lock.
  `DropCap`
  `getDropCap()`
  Gets the drop cap.
  `int`
  `getHeight()`
  Gets the height.
  `HeightRule`
  `getHeightRule()`
  Gets the height rule.
  `AnchorLocation`
  `getHorizontalAnchor()`
  Gets the horizontal anchor.
  `int`
  `getHorizontalSpace()`
  Gets the horizontal space.
  `int`
  `getLines()`
  Gets the lines.
  `HorizontalAlignmentLocation`
  `getRelativeHorizontalPosition()`
  Gets the relative horizontal position.
  `VerticalAlignmentLocation`
  `getRelativeVerticalPosition()`
  Gets the relative vertical position.
  `AnchorLocation`
  `getVerticalAnchor()`
  Gets the vertical anchor.
  `int`
  `getVerticalSpace()`
  Gets the vertical space.
  `int`
  `getWidth()`
  Gets the width.
  `FrameWrap`
  `getWrap()`
  Gets the wrap.
  `void`
  `setAbsoluteHorizontalPosition​(int absoluteHorizontalPosition)`
  Sets the absolute horizontal position.
  `void`
  `setAbsoluteVerticalPosition​(int absoluteVerticalPosition)`
  Sets the absolute vertical position.
  `void`
  `setAnchorLock​(ExtendedBoolean anchorLock)`
  Sets the anchor lock.
  `void`
  `setDropCap​(DropCap dropCap)`
  Sets the drop cap.
  `void`
  `setHeight​(int height)`
  Sets the height.
  `void`
  `setHeightRule​(HeightRule heightRule)`
  Sets the height rule.
  `void`
  `setHorizontalAnchor​(AnchorLocation horizontalAnchor)`
  Sets the horizontal anchor.
  `void`
  `setHorizontalSpace​(int horizontalSpace)`
  Sets the horizontal space.
  `void`
  `setLines​(int lines)`
  Sets the lines.
  `void`
  `setRelativeHorizontalPosition​(HorizontalAlignmentLocation relativeHorizontalPosition)`
  Sets the relative horizontal position.
  `void`
  `setRelativeVerticalPosition​(VerticalAlignmentLocation relativeVerticalPosition)`
  Sets the relative vertical position.
  `void`
  `setVerticalAnchor​(AnchorLocation verticalAnchor)`
  Sets the vertical anchor.
  `void`
  `setVerticalSpace​(int verticalSpace)`
  Sets the vertical space.
  `void`
  `setWidth​(int width)`
  Sets the width.
  `void`
  `setWrap​(FrameWrap wrap)`
  Sets the wrap.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TextFrame

    public TextFrame()
    Instantiates a new text frame.

- ## Method Details

  - ### clone

    public TextFrame clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getAnchorLock

    public ExtendedBoolean getAnchorLock()
    Gets the anchor lock.
    Returns:
      the anchor lock

  - ### setAnchorLock

    public void setAnchorLock​(ExtendedBoolean anchorLock)
    Sets the anchor lock.
    Parameters:
      `anchorLock` - the new anchor lock

  - ### getDropCap

    public DropCap getDropCap()
    Gets the drop cap.
    Returns:
      the drop cap

  - ### setDropCap

    public void setDropCap​(DropCap dropCap)
    Sets the drop cap.
    Parameters:
      `dropCap` - the new drop cap

  - ### getHeight

    public int getHeight()
    Gets the height.
    Returns:
      the height

  - ### setHeight

    public void setHeight​(int height)
    Sets the height.
    Parameters:
      `height` - the new height

  - ### getHorizontalAnchor

    public AnchorLocation getHorizontalAnchor()
    Gets the horizontal anchor.
    Returns:
      the horizontal anchor

  - ### setHorizontalAnchor

    public void setHorizontalAnchor​(AnchorLocation horizontalAnchor)
    Sets the horizontal anchor.
    Parameters:
      `horizontalAnchor` - the new horizontal anchor

  - ### getVerticalAnchor

    public AnchorLocation getVerticalAnchor()
    Gets the vertical anchor.
    Returns:
      the vertical anchor

  - ### setVerticalAnchor

    public void setVerticalAnchor​(AnchorLocation verticalAnchor)
    Sets the vertical anchor.
    Parameters:
      `verticalAnchor` - the new vertical anchor

  - ### getHeightRule

    public HeightRule getHeightRule()
    Gets the height rule.
    Returns:
      the height rule

  - ### setHeightRule

    public void setHeightRule​(HeightRule heightRule)
    Sets the height rule.
    Parameters:
      `heightRule` - the new height rule

  - ### getHorizontalSpace

    public int getHorizontalSpace()
    Gets the horizontal space.
    Returns:
      the horizontal space

  - ### setHorizontalSpace

    public void setHorizontalSpace​(int horizontalSpace)
    Sets the horizontal space.
    Parameters:
      `horizontalSpace` - the new horizontal space

  - ### getVerticalSpace

    public int getVerticalSpace()
    Gets the vertical space.
    Returns:
      the vertical space

  - ### setVerticalSpace

    public void setVerticalSpace​(int verticalSpace)
    Sets the vertical space.
    Parameters:
      `verticalSpace` - the new vertical space

  - ### getLines

    public int getLines()
    Gets the lines.
    Returns:
      the lines

  - ### setLines

    public void setLines​(int lines)
    Sets the lines.
    Parameters:
      `lines` - the new lines

  - ### getWidth

    public int getWidth()
    Gets the width.
    Returns:
      the width

  - ### setWidth

    public void setWidth​(int width)
    Sets the width.
    Parameters:
      `width` - the new width

  - ### getWrap

    public FrameWrap getWrap()
    Gets the wrap.
    Returns:
      the wrap

  - ### setWrap

    public void setWrap​(FrameWrap wrap)
    Sets the wrap.
    Parameters:
      `wrap` - the new wrap

  - ### getAbsoluteHorizontalPosition

    public int getAbsoluteHorizontalPosition()
    Gets the absolute horizontal position.
    Returns:
      the absolute horizontal position

  - ### setAbsoluteHorizontalPosition

    public void setAbsoluteHorizontalPosition​(int absoluteHorizontalPosition)
    Sets the absolute horizontal position.
    Parameters:
      `absoluteHorizontalPosition` - the new absolute horizontal position

  - ### getRelativeHorizontalPosition

    public HorizontalAlignmentLocation getRelativeHorizontalPosition()
    Gets the relative horizontal position.
    Returns:
      the relative horizontal position

  - ### setRelativeHorizontalPosition

    public void setRelativeHorizontalPosition​(HorizontalAlignmentLocation relativeHorizontalPosition)
    Sets the relative horizontal position.
    Parameters:
      `relativeHorizontalPosition` - the new relative horizontal position

  - ### getAbsoluteVerticalPosition

    public int getAbsoluteVerticalPosition()
    Gets the absolute vertical position.
    Returns:
      the absolute vertical position

  - ### setAbsoluteVerticalPosition

    public void setAbsoluteVerticalPosition​(int absoluteVerticalPosition)
    Sets the absolute vertical position.
    Parameters:
      `absoluteVerticalPosition` - the new absolute vertical position

  - ### getRelativeVerticalPosition

    public VerticalAlignmentLocation getRelativeVerticalPosition()
    Gets the relative vertical position.
    Returns:
      the relative vertical position

  - ### setRelativeVerticalPosition

    public void setRelativeVerticalPosition​(VerticalAlignmentLocation relativeVerticalPosition)
    Sets the relative vertical position.
    Parameters:
      `relativeVerticalPosition` - the new relative vertical position